--- old/usr/src/lib/libnsl/rpc/clnt_dg.c	Sat Nov 15 11:43:51 2014
+++ new/usr/src/lib/libnsl/rpc/clnt_dg.c	Sat Nov 15 11:43:51 2014
@@ -35,6 +35,9 @@
  * 4.3 BSD under license from the Regents of the University of
  * California.
  */
+/*
+ * Copyright 2014 Shruti V Sampat <shrutisampat@gmail.com>
+ */
 
 /*
  * Implements a connectionless client side RPC.
@@ -55,8 +58,8 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <strings.h>
+#include <note.h>
 
-
 extern int __rpc_timeval_to_msec(struct timeval *);
 extern bool_t xdr_opaque_auth(XDR *, struct opaque_auth *);
 extern bool_t __rpc_gss_wrap(AUTH *, char *, uint_t, XDR *, bool_t (*)(),
@@ -682,9 +685,7 @@
 static void
 clnt_dg_geterr(CLIENT *cl, struct rpc_err *errp)
 {
-/* LINTED pointer alignment */
-	struct cu_data *cu = (struct cu_data *)cl->cl_private;
-
+        NOTE(ARGUNUSED(cl))
 	*errp = rpc_callerr;
 }
 
